Package ru.nilsoft.tm

# Class TMCommand.agent_type

java.lang.Object
ru.nilsoft.tm.TMCommand.agent_type

Enclosing class:
  `TMCommand`

public static final class TMCommand.agent_type extends Object
Признак агента по предмету расчёта (тег 1222).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `BANK_PAY_AGENT`
  Оказание услуг покупателю (клиенту) пользователем, являющимся банковским платёжным агентом.
  `static final byte`
  `BANK_PAY_SUBAGENT`
  Оказание услуг покупателю (клиенту) пользователем, являющимся банковским платёжным субагентом.
  `static final byte`
  `BROKER`
  Осуществление расчёта с покупателем (клиентом) пользователем, являющимся комиссионером.
  `static final byte`
  `CONFIDANT`
  Осуществление расчёта с покупателем (клиентом) пользователем, являющимся поверенным.
  `static final byte`
  `OTHER`
  Осуществление расчёта с покупателем (клиентом) пользователем, являющимся агентом и не являющимся банковским платёжным агентом (субагентом), платёжным агентом (субагентом), поверенным, комиссионером.
  `static final byte`
  `PAY_AGENT`
  Оказание услуг покупателю (клиенту) пользователем, являющимся платёжным агентом.
  `static final byte`
  `PAY_SUBAGENT`
  Оказание услуг покупателю (клиенту) пользователем, являющимся платёжным субагентом.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `agent_type()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BANK_PAY_AGENT

    public static final byte BANK_PAY_AGENT
    Оказание услуг покупателю (клиенту) пользователем, являющимся банковским платёжным агентом.
    See Also:
      - Constant Field Values

  - ### BANK_PAY_SUBAGENT

    public static final byte BANK_PAY_SUBAGENT
    Оказание услуг покупателю (клиенту) пользователем, являющимся банковским платёжным субагентом.
    See Also:
      - Constant Field Values

  - ### PAY_AGENT

    public static final byte PAY_AGENT
    Оказание услуг покупателю (клиенту) пользователем, являющимся платёжным агентом.
    See Also:
      - Constant Field Values

  - ### PAY_SUBAGENT

    public static final byte PAY_SUBAGENT
    Оказание услуг покупателю (клиенту) пользователем, являющимся платёжным субагентом.
    See Also:
      - Constant Field Values

  - ### CONFIDANT

    public static final byte CONFIDANT
    Осуществление расчёта с покупателем (клиентом) пользователем, являющимся поверенным.
    See Also:
      - Constant Field Values

  - ### BROKER

    public static final byte BROKER
    Осуществление расчёта с покупателем (клиентом) пользователем, являющимся комиссионером.
    See Also:
      - Constant Field Values

  - ### OTHER

    public static final byte OTHER
    Осуществление расчёта с покупателем (клиентом) пользователем, являющимся агентом и не являющимся банковским платёжным агентом (субагентом), платёжным агентом (субагентом), поверенным, комиссионером.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### agent_type

    public agent_type()